sc::DistShellPair(3)

NAME
sc::DistShellPair - Distributes shell pairs either statically or dynamically.

SYNOPSIS

#include <distsh.h>

  Public Methods
DistShellPair (const Ref< MessageGrp > &, int nthread, int mythread, const Ref< ThreadLock > &, const Ref< GaussianBasisSet > &)
~DistShellPair ()
void init ()
Resets to the first shell.
void set_dynamic (int d)
Whether or not to use dynamic load balancing.
void set_debug (int d)
How much stuff to print out.
void set_print_percent (int p)
How often to print status from node 0.
int get_task (int &P, int &Q)
Puts the current P>=Q shell pair into P and Q and returns 1.

DETAILED DESCRIPTION

Distributes shell pairs either statically or dynamically.

MEMBER FUNCTION DOCUMENTATION

  int sc::DistShellPair::get_task (int & P, int & Q)

Puts the current P>=Q shell pair into P and Q and returns 1.

When there are no more shell pairs to be processed by this processor, 0 is returned. Once we start doing get_tasks, we have to go to the end if dyanmic load balancing is used.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.